Bug 155655 - (Kernel_USB) System freezes when USB device is unplugged after changing kernel to 2.6.11-1.14_FC3
System freezes when USB device is unplugged after changing kernel to 2.6.11-1...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-22 05:53 EDT by Frédéric
Modified: 2015-01-04 17:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frédéric 2005-04-22 05:53:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
After upgrading the kernel to version 2.6.11-1.14_FC3, the system sometimes freezes when USB device is unplugged. This is particularly true with the USB memory. There was no problem with the previous kernel 2.6.10-1.770_FC3.

Version-Release number of selected component (if applicable):
kernel 2.6.11-1.14_FC3

How reproducible:
Sometimes

Steps to Reproduce:
1.Upgrade kernel from 2.6.10-1.770_FC3 to 2.6.11-1.14_FC3
2.Plug a USB memory
3.Mount the USB memory, write some files
4.Unmount the USB memory
5.Unplug the USB memory
6.The system will freeze after a few seconds
  

Actual Results:  The system freezes

Expected Results:  No freeze

Additional info:
Comment 1 Dave Jones 2005-04-22 14:59:49 EDT
can you try the test kernel at
http://people.redhat.com/davej/kernels/Fedora/FC3/  ? Theres a fix there that
might nail this.
Comment 2 Frédéric 2005-04-27 04:42:24 EDT
(In reply to comment #1)
> can you try the test kernel at
> http://people.redhat.com/davej/kernels/Fedora/FC3/  ? Theres a fix there that
> might nail this.

This kernel seems to resolve my bug. Many thanks
Comment 3 Dave Jones 2005-07-15 13:52:54 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:23:06 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.